Name:		enblend
Version:	4.2
Release:	%mkrel 1
Summary:	Tool for compositing images
Source0:	http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
License:	GPLv2+
Group:		Graphics/Photography
Url:		http://enblend.sourceforge.net
BuildRequires:	tiff-devel
BuildRequires:	glew-devel
BuildRequires:	freeglut-devel
BuildRequires:	mesaglu-devel
BuildRequires:	lcms-devel
BuildRequires:	png-devel
BuildRequires:	plotutils-devel
BuildRequires:	boost-devel
BuildRequires:	vigra-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gnuplot
BuildRequires:	help2man
BuildRequires:	imagemagick
BuildRequires:	texinfo
BuildRequires:	ghostscript
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	libxml2-utils
BuildRequires:  libgomp-devel
Buildrequires:  perl-DateTime-TimeZone
BuildRequires:  texlive
Provides:	enfuse = %{version}-%{release}

%description
Enblend is a tool for compositing images. Given a set of images that overlap
in some irregular way, Enblend overlays them in such a way that the seam
between the images is invisible, or at least very difficult to see.

%prep
%setup -q -n enblend-enfuse-%{version}



%build
%configure2_5x --enable-openmp
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse


%changelog
* Sat Mar 04 2017 eatdirt <eatdirt> 4.2-1.mga6
+ Revision: 1088732
- Upgrade to version 4.2

* Sun Jan 03 2016 luigiwalser <luigiwalser> 4.1.4-3.mga6
+ Revision: 919000
- rebuild for gsl

* Sat Dec 26 2015 daviddavid <daviddavid> 4.1.4-2.mga6
+ Revision: 915166
- rebuild for new boost 1.60.0

* Sat Oct 24 2015 ycantin <ycantin> 4.1.4-1.mga6
+ Revision: 895024
- new version 4.1.4

* Fri Sep 25 2015 daviddavid <daviddavid> 4.1.3-10.mga6
+ Revision: 883688
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 sander85 <sander85> 4.1.3-9.mga6
+ Revision: 869780
- Rebuild for glew 1.13.0

* Wed Aug 12 2015 fwang <fwang> 4.1.3-8.mga6
+ Revision: 863446
- rebuild for new vigra

* Fri Jul 31 2015 daviddavid <daviddavid> 4.1.3-6.mga6
+ Revision: 860006
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 4.1.3-5.mga6
+ Revision: 842224
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 4.1.3-4.mga5
+ Revision: 748592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.3-3.mga5
+ Revision: 679004
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 4.1.3-2.mga5
+ Revision: 670265
- rebuild for glew

* Tue Aug 26 2014 luigiwalser <luigiwalser> 4.1.3-1.mga5
+ Revision: 668350
- 4.1.3

* Sat Feb 08 2014 barjac <barjac> 4.1.2-3.mga5
+ Revision: 586327
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 4.1.2-2.mga4
+ Revision: 541361
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 4.1.2-1.mga4
+ Revision: 495678
- 4.1.2

* Sat Aug 17 2013 fwang <fwang> 4.1.1-1.mga4
+ Revision: 467106
- add more patches
- add patch from pld-linux to fix build against new texinfo
- new version 4.1.1

* Wed Jul 24 2013 sander85 <sander85> 4.1-7.mga4
+ Revision: 457702
- Rebuild for new glew

* Thu Jul 11 2013 fwang <fwang> 4.1-6.mga4
+ Revision: 452797
- rebuild for new boost
- fix br
- add more br on ghostscript

* Wed Apr 10 2013 malo <malo> 4.1-4.mga3
+ Revision: 409443
- rebuild for boost 1.53

* Wed Feb 20 2013 barjac <barjac> 4.1-3.mga3
+ Revision: 399574
- missing BR libxml2-utils
- spec clean
- include info files in package

* Fri Jan 11 2013 umeabot <umeabot> 4.1-2.mga3
+ Revision: 349660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 4.1-1.mga3
+ Revision: 336274
- do not package info files
- 4.1
- add several needed or possibly useful buildrequires
- drop patches for libpng, fixed upstream

* Sun Dec 25 2011 fwang <fwang> 4.0-3.mga2
+ Revision: 187370
- rebuild for new libtiff

* Wed Sep 14 2011 fwang <fwang> 4.0-2.mga2
+ Revision: 143311
- br glu
- br boost
- add br
- drop req
- add gentoo patches to fix libpng building

* Fri Feb 18 2011 mikala <mikala> 4.0-1.mga1
+ Revision: 53573
- Fix files list
- Update to 4.0
- add plotutils-devel as BR (libxmi support is now provided by plotutils)
- drop patch0
- remove mdk macros
- remove buildroot
- imported package enblend

